Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005972OCamlOCaml documentationpublic2013-04-02 22:372013-04-04 11:25
Reporterjfc 
Assigned Todoligez 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.00.0 
Target VersionFixed in Version4.01.0+dev 
Summary0005972: Missing case in GADT syntax
DescriptionSection 7.18 of the ocaml 4.00 documentation lists an extension to type constructor syntax:

constr-decl ::= ... | constr-name : typexpr { * typexpr } -> typexpr

This implies that an arrow must appear, but the arrow is optional. I can also declare

type _ t = Foo : unit t;;
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0009028)
gasche (developer)
2013-04-03 11:24

Damien has been obsessively fixing documentations glitches recently, he may be interested by this one.
(0009029)
doligez (administrator)
2013-04-04 11:25

Well spotted. This is already fixed in the trunk version of the manual.

- Issue History
Date Modified Username Field Change
2013-04-02 22:37 jfc New Issue
2013-04-03 11:24 gasche Note Added: 0009028
2013-04-03 11:24 gasche Assigned To => doligez
2013-04-03 11:24 gasche Status new => acknowledged
2013-04-04 11:25 doligez Note Added: 0009029
2013-04-04 11:25 doligez Status acknowledged => closed
2013-04-04 11:25 doligez Resolution open => fixed
2013-04-04 11:25 doligez Fixed in Version => 4.01.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker